V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
laters
V2EX  ›  Android

安卓如何区分不同版本的开发环境,比如 RN Flutter

  •  
  •   laters · 26 天前 · 1406 次点击

    安卓如何区分不同版本的开发环境,比如 RN Flutter

    目前 RN 是旧项目,是一套旧项目版本的开发环境 ( SDK NDK JDK.... )

    但还有一些项目是新版本的开发环境,如何能区分开,互相不影响

    4 条回复    2024-05-20 13:14:10 +08:00
    w568w
        1
    w568w  
       26 天前
    你说的「互相影响」是什么意思?这不就几个目录,目录还能在开发时打架了?

    SDK:Android SDK 本来就能多版本共存啊,build.gradle 里也要求指定 SDK 版本;

    NDK:同上;

    JDK:假设用的 Android Studio ,改一下项目级的 JDK 设置就行了。
    tanranran
        2
    tanranran  
       26 天前
    下面方案任选其一
    1 、旧项目升级到新版本的开发环境
    2 、老项目降级到旧项目的开发环境
    magic3584
        3
    magic3584  
       25 天前 via iPhone
    flutter 是可以不同项目依赖不同版本 adk 的
    ysw
        4
    ysw  
       24 天前
    fvm 或者 vfox 之类的工具很多
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   2760 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 25ms · UTC 15:05 · PVG 23:05 · LAX 08:05 · JFK 11:05
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.